Subject: Re: bug#954: indentation in latex-mode in emacs-23

From: "Chirok Han" <[email-masked]>
Date: Tue, 23 Sep 2008 21:45:41 +0900

Hi Martin,

It's not something I can convince you about. And I don't think there
is any correct or incorrect formatting style. It's just from my 10
years experience. As I get older, it gets harder to accommodate new
things no matter how small they are....

Many thanks for your efforts. I like latex on emacs very much.

Chirok

On Tue, Sep 23, 2008 at 9:28 PM, martin rudalics <[email-masked]> wrote:
>> It is now
>> \[
>>   abc
>> \]
>>
>> I would like
>> \[
>> abc
>> \]
>> but if that's what you intend.
>
> This part of the Emacs 23 behavior is due to that change:
>
> 2007-09-21  Glenn Morris  <[email-masked]>
>
>        (latex-forward-sexp-1, latex-backward-sexp-1): Doc fix.
>        Handle escaped parens.
>
> If you convinced us that
>
> \[
> abc
> \]
>
> is more correct LaTeX style than
>
> \[
>  abc
> \]
>
> we might reconsider this.
>
> Leslie, what's the preferred way to indent this?
>
> martin
>